View Issue Details

IDProjectCategoryView StatusLast Update
0002268Ham Radio DeluxeBugpublic2018-07-28 15:18
ReporterWA9PIE 
Assigned ToPD9FER 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version6.4.0.787 
Target VersionFixed in Version6.4.0.873 
Summary0002268: IOTA field is not always populated from callsign lookup
DescriptionThe IOTA being available in the QRZ XML data, it is not always populated into the ALE.
Steps To ReproduceTrouble ticket: https://support.ham-radio-deluxe.com/scp/tickets.php?id=11925

...provides further detail about reproducing this.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
TestingNot Started

Relationships

Activities

PD9FER

2018-01-07 13:41

viewer   ~0004300

Ticket #866711

I found out:

Open ALE > fill in EI30T > Hit TAB = No IOTA filled
Click Iota field > Select None > Click Lookup = IOTA gets populated.

PD9FER

2018-01-08 07:40

viewer   ~0004301

Seems only to happen on Win7 (64) and not on Win10

PD9FER

2018-01-09 07:15

viewer   ~0004302

Also replicated on Kevin's VM

K7ZCZ

2018-07-19 16:24

manager   ~0005746

I had to spend some time to figure out if this bug was referring to the IOTA drop-down on the main ALE window, or on the IOTA tab. Turns out both drop-downs are affected by this issue and behave similarly.

K7ZCZ

2018-07-19 16:33

manager   ~0005747

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4240

K7ZCZ

2018-07-19 16:46

manager   ~0005748

Oops! Actually, with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4242

g3ucq

2018-07-22 04:05

viewer   ~0005752

Not fixed and using Windows 10 64 bit Home.

PD9FER

2018-07-22 04:22

viewer   ~0005755

Retested, Not fixed

K7ZCZ

2018-07-24 10:54

manager   ~0005770

What configuration do you have for callsign lookup in the Logbook?

g3ucq

2018-07-24 11:02

viewer   ~0005771

Just QRZ.com and IOTA input worked with recent previous versions.

PD9FER

2018-07-24 11:07

viewer   ~0005772

My Lookup Config in this order:
QRZ
Logbook
Country database

Get it setup in that order
input EI30T into the ALE and hit Tab or click Lookup
No Iota designator is displayed

Now in the Iota Dropdown list select None
Click Lookup again
Iota field now populates

g3ucq

2018-07-24 11:47

viewer   ~0005773

I had the callsign wrong.
EI30T with a zero not O works populates the IOTA field.

KB3NPH

2018-07-24 11:50

administrator   ~0005774

Ferry asked me to test this to confirm. Following the above procedures, I too have been able to confirm the IOTA field is not filled on the first lookup of a call. If you enter the call in the ALE Call field, click "Lookup" the first time, the IOTA field is NOT populated. If you click on the IOTA dropdown menu and select "NONE" then click the "Lookup" button for the callsign, the IOTA field will then be populated as it should.

K7ZCZ

2018-07-24 12:16

manager   ~0005775

Ferry, you're saying that you're using "QRZ". My logbook configuration doesn't offer "QRZ" as a lookup source. It offers "QRZ.com" and "QRZ CD". And I don't have "country database"; instead, I have "Country List". Can you please clarify which one you're using?

I have to ask you to be very specific so that I don't end up guessing while trying to figure out what's wrong with the software. Using the correct callsign and the correct settings, the IOTA dropdown populates for me, so we need to understand how your configuration or your procedure is different. That requires writing very detailed and clear instructions.

Here's what I'm doing:

1) Start up the logbook.
2) Open an empty database.
3) Use the "Callsign Lookup" command in the "Configure" tear-off of the "Tools" menu to reach the "Callsign lookup" dialog
4) On the "Enable" tab, Assure that "QRZ.com subscription" is the first choice in the "enabled methods" list
5) Make sure that the "QRZ.com via XML" fields on the "Lookup Options" tab are populated with a valid username and password at QRZ.
6) Close the "Callsign Lookup" dialog by pressing "OK"
7) Use the "Add" button in the "My Logbook" tab's toolbar to open the ALE
8) Assure that the IOTA tab is visible and active. This might require changing settings in the "Show:Tabs" menu.
9) Assure that the IOTA field is visible and active. This might require changing settings in the "Show:Fields" menu.
10) Enter "EI30T". That's India Three Zero, not One Three Oscar.
11) Press tab.

After a brief delay for the lookup, the IOTA dropdown populates on both the main ALE window and the IOTA tab. The selected IOTA code is "EU-115", which seems correct to me.

What I'm wondering is:

1) How do you have the callsign lookup sources configured?
2) Do you have the QRZ.com source configured with a valid username and password?
3) Are you using a logbook database with another entry for the "EI30T" callsign?
4) Which field is not populating? The IOTA dropdown on the main window, or the IOTA dropdown on the IOTA tab? Both?
5) Do you have the IOTA tab visible, or is it hidden? Is it active?
6) Are you editing a new record, or editing an existing record?

K7ZCZ

2018-07-24 12:30

manager   ~0005776

I think it might also help to know which fields are populating.

KB3NPH

2018-07-24 13:11

administrator   ~0005778

Mike, if you can't replicate this issue, maybe it's time to use one of the most valuable tools you have. TEAMVIEWER. I'll be glad glad to allow you to remote into my computer and I will demonstrate how simple it is to replicate this issue without all the hubbub and questions. Might make your job much easier if you can't replicate the problem and we can.

PD9FER

2018-07-24 13:20

viewer   ~0005779

Agree with Tim, this is eating too much real support time (writing this in my free time)

PD9FER

2018-07-26 07:16

viewer   ~0005835

Fixed with 873

K7ZCZ

2018-07-28 15:18

manager   ~0005876

I don't understand what happened here. Can someone help me understand how we went from this bug being not fixed to it being fixed?

Issue History

Date Modified Username Field Change
2017-10-07 11:17 WA9PIE New Issue
2017-10-07 11:18 WA9PIE Project 3 - Current Dev List => 1 - Backlog
2018-01-07 13:41 PD9FER Note Added: 0004300
2018-01-08 07:40 PD9FER Note Added: 0004301
2018-01-09 07:15 PD9FER Note Added: 0004302
2018-06-23 17:57 WA9PIE Assigned To => K7ZCZ
2018-06-23 17:57 WA9PIE Status new => assigned
2018-06-23 17:57 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-07-19 16:24 K7ZCZ Note Added: 0005746
2018-07-19 16:33 K7ZCZ Status assigned => resolved
2018-07-19 16:33 K7ZCZ Resolution open => fixed
2018-07-19 16:33 K7ZCZ Note Added: 0005747
2018-07-19 16:46 K7ZCZ Note Added: 0005748
2018-07-19 19:40 K7ZCZ Fixed in Version => 6.4.0.872
2018-07-22 04:05 g3ucq Note Added: 0005752
2018-07-22 04:22 PD9FER Note Added: 0005755
2018-07-22 04:24 PD9FER Status resolved => feedback
2018-07-22 04:24 PD9FER Resolution fixed => reopened
2018-07-24 10:54 K7ZCZ Assigned To K7ZCZ => PD9FER
2018-07-24 10:54 K7ZCZ Note Added: 0005770
2018-07-24 11:02 g3ucq Note Added: 0005771
2018-07-24 11:07 PD9FER Note Added: 0005772
2018-07-24 11:47 g3ucq Note Added: 0005773
2018-07-24 11:50 KB3NPH Note Added: 0005774
2018-07-24 11:52 PD9FER Assigned To PD9FER => WA9PIE
2018-07-24 11:53 PD9FER Assigned To WA9PIE => K7ZCZ
2018-07-24 12:16 K7ZCZ Note Added: 0005775
2018-07-24 12:16 K7ZCZ Assigned To K7ZCZ => PD9FER
2018-07-24 12:30 K7ZCZ Note Added: 0005776
2018-07-24 13:11 KB3NPH Note Added: 0005778
2018-07-24 13:20 PD9FER Note Added: 0005779
2018-07-25 08:01 WA9PIE Fixed in Version 6.4.0.872 =>
2018-07-26 07:16 PD9FER Note Added: 0005835
2018-07-26 07:17 PD9FER Status feedback => resolved
2018-07-26 07:17 PD9FER Resolution reopened => fixed
2018-07-26 07:17 PD9FER Fixed in Version => 6.4.0.873
2018-07-26 12:00 WA9PIE Status resolved => closed
2018-07-26 12:00 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-07-28 15:18 K7ZCZ Note Added: 0005876